#ifndef CAT_H
#define CAT_H

#define catgets(catd,setid,msgid,msg) msg

#define OHWELL     catgets(catd,1,1,"ERROR")
#define DIV0       catgets(catd,1,2,"division by 0")
#define DIVTYPE    catgets(catd,1,3,"wrong types for / operator")
#define MULTYPE    catgets(catd,1,4,"wrong types for * operator")
#define ADDTYPE    catgets(catd,1,5,"wrong types for + operator")
#define SUBTYPE    catgets(catd,1,6,"wrong types for - operator")
#define NEGTYPE    catgets(catd,1,7,"wrong type for - operator")
#define POWTYPE    catgets(catd,1,8,"wrong types for ^ operator")
#define MISSOPR    catgets(catd,1,9,"missing operator")
#define TOOMANY    catgets(catd,1,10,"too many arguments")
#define CPEXPCT    catgets(catd,1,11,") expected")
#define VLEXPCT    catgets(catd,1,12,"value expected")
#define PARSERR    catgets(catd,1,13,"parse error after term")
#define RELTYPE    catgets(catd,1,14,"type mismatch for relational operator")
#define NOFUNC     catgets(catd,1,15,"No such function")
#define NOLABEL    catgets(catd,1,16,"No such label")
#define NEGLOC     catgets(catd,1,17,"Negative index")
#define POW00      catgets(catd,1,18,"0^0 is not defined")
#define POWDOM     catgets(catd,1,19,"^ caused a domain error")
#define EEKERROR   catgets(catd,1,20,"Usage: error(string message)")
#define EEKPTR     catgets(catd,1,21,"Usage: &(integer x, integer y, integer z)")
#define EEKAT      catgets(catd,1,22,"Usage: @(integer x, integer y[, integer z]) or @(location)")
#define HEREXTYPE  catgets(catd,1,23,"Usage: here.x([location])")
#define HEREYTYPE  catgets(catd,1,24,"Usage: here.y([location])")
#define HEREZTYPE  catgets(catd,1,25,"Usage: here.z([location])")
#define CTOSTYPE   catgets(catd,1,26,"Usage: ctos(integer x, integer y[, integer z]) or ctos(location)")
#define SUMTYPE    catgets(catd,1,27,"Usage: sum(location,location)")
#define NTYPE      catgets(catd,1,28,"Usage: n(location,location)")
#define ISLOCKED   catgets(catd,1,29,"Cell is locked")
#define YES        catgets(catd,1,30,"Yes")
#define NO         catgets(catd,1,31,"No")
#define ADLEFT     catgets(catd,1,32,"Left")
#define ADRIGHT    catgets(catd,1,33,"Right")
#define ADCENTERED catgets(catd,1,34,"Centered")
#define PRECISION  catgets(catd,1,35,"Precision")
#define DOLOCK     catgets(catd,1,36,"Lock")
#define DOSCI      catgets(catd,1,37,"0.123e1")
#define NOSCI      catgets(catd,1,38,"1.23")
#define LABEL      catgets(catd,1,39,"Label")
#define ASXDR      catgets(catd,1,40,"XDR")
#define TBL        catgets(catd,1,41,"tbl")
#define SAVETEXT   catgets(catd,1,42,"Formatted text")
#define LOAD       catgets(catd,1,43,"Load")
#define SAVE       catgets(catd,1,44,"Save")
#define QUIT       catgets(catd,1,45,"Quit")
#define ATTR       catgets(catd,1,46,"Attribute")
#define SHADOW     catgets(catd,1,47,"Shadow")
#define INX        catgets(catd,1,48,"Column")
#define INY        catgets(catd,1,49,"Row")
#define INZ        catgets(catd,1,50,"Depth")
#define INSERT     catgets(catd,1,51,"Insert")
#define CLEAR      catgets(catd,1,52,"Clear")
#define MOVE       catgets(catd,1,53,"Move")
#define COPY       catgets(catd,1,54,"Copy")
#define TOMENU     catgets(catd,1,55,"Use ? for menu")
#define ABOUT      catgets(catd,1,56,"Version")
#define CWIDTH     catgets(catd,1,57,"Column-width")
#define DELETE     catgets(catd,1,58,"Delete")
#define LOADSHEET  catgets(catd,1,59,"Load sheet in XDR from file:")
#define SAVESHEET  catgets(catd,1,60,"Save sheet in XDR to file:")
#define SAVEMENU   catgets(catd,1,61,"Save sheet file format:")
#define LEAVE      catgets(catd,1,62,"Sheet modified, leave anyway?")
#define MAINMENU   catgets(catd,1,63,"Main menu:")
#define COLWIDTH   catgets(catd,1,64,"Column width:")
#define CELLATTR   catgets(catd,1,65,"Cell attribute:")
#define SHADOWCELL catgets(catd,1,66,"Shadow cell:")
#define CONTENTS   catgets(catd,1,67,"Cell contents:")
#define SHADOWBOO  catgets(catd,1,68,"You can not shadow cells in column 0")
#define PRECCELL   catgets(catd,1,69,"Precision for cell:")
#define PRECBLOCK  catgets(catd,1,70,"Precision for block:")
#define PAGES      catgets(catd,1,71,"List of pages to print:")
#define SAVETEXTF  catgets(catd,1,72,"Save in plain text format to file:")
#define SAVETBLF   catgets(catd,1,73,"Save in tbl format to file:")
#define BLOCKATTR  catgets(catd,1,74,"Block attribute:")
#define CLEARBLOCK catgets(catd,1,75,"Clear block:")
#define CLEARCELL  catgets(catd,1,76,"Clear cell:")
#define SHADOWCUBE catgets(catd,1,77,"Shadow block:")
#define INSCELL    catgets(catd,1,78,"Insert cell:")
#define INSCUBE    catgets(catd,1,79,"Insert block:")
#define DELCELL    catgets(catd,1,80,"Delete cell:")
#define DELBLOCK   catgets(catd,1,81,"Delete block:")
#define EDIT       catgets(catd,1,82,"Edit cell:")
#define LOCKCELL   catgets(catd,1,83,"Lock cell:")
#define LOCKBLOCK  catgets(catd,1,84,"Lock block:")
#define DOLABEL    catgets(catd,1,85,"Cell label:")
#define MOVEBLOCK  catgets(catd,1,86,"Move block:")
#define NOMARK     catgets(catd,1,87,"No block marked")
#define COPYBLOCK  catgets(catd,1,88,"Copy block:")

#endif
/*{{{}}}*/
